Subject: Re: [PATCH net-next v6 2/2] mctp i2c: MCTP I2C binding driver

From: Wolfram Sang <[email-masked]>
Date: Fri, 18 Feb 2022 10:41:01 +0100

On Fri, Feb 18, 2022 at 01:51:06PM +0800, Matt Johnston wrote:
> Provides MCTP network transport over an I2C bus, as specified in
> DMTF DSP0237. All messages between nodes are sent as SMBus Block Writes.
> 
> Each I2C bus to be used for MCTP is flagged in devicetree by a
> 'mctp-controller' property on the bus node. Each flagged bus gets a
> mctpi2cX net device created based on the bus number. A
> 'mctp-i2c-controller' I2C client needs to be added under the adapter. In
> an I2C mux situation the mctp-i2c-controller node must be attached only
> to the root I2C bus. The I2C client will handle incoming I2C slave block
> write data for subordinate busses as well as its own bus.
> 
> In configurations without devicetree a driver instance can be attached
> to a bus using the I2C slave new_device mechanism.
> 
> The MCTP core will hold/release the MCTP I2C device while responses
> are pending (a 6 second timeout or once a socket is closed, response
> received etc). While held the MCTP I2C driver will lock the I2C bus so
> that the correct I2C mux remains selected while responses are received.
> 
> (Ideally we would just lock the mux to keep the current bus selected for
> the response rather than a full I2C bus lock, but that isn't exposed in
> the I2C mux API)
> 
> Signed-off-by: Matt Johnston <[email-masked]>
> Signed-off-by: Jeremy Kerr <[email-masked]>

Thanks for the update:

Reviewed-by: Wolfram Sang <[email-masked]> # I2C transport parts

Note: Your mails miss a To: Header which causes hickups with some
tooling. Please add one.